Smart Proxy - Bug #6908

Chef and Puppet request test failures
08/04/2014 07:13 AM - Dominic Cleal

Status: Closed
Priority: Urgent
Assignee: Dominic Cleal
Category: Tests
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/194
Description

Proxy tests are failing with a difference between "/" and "//" in the Chef request URLs. Looks like it's from the release of Chef
11.14.2.

http://ci.theforeman.org/job/test_proxy_develop_pull_request/425/

Real HTTP connections are disabled. Unregistered request: GET https://chef.example.com/clients/tes
tnodel with headers {'Accept'=>'application/json', 'Accept-Encoding'=>'gzip;g=1.0,deflate;g=0.6,1id
entity;g=0.3"', 'Host'=>'chef.example.com:443', 'User-Agent'=>'Chef Client/11.14.2 (ruby-1.8.7-p371
; ohai-7.2.0; x86_64-1linux; +http://opscode.com)', 'X-Chef-Version'=>'11.14.2"', 'X-Ops-Authorizati
on—1"'=>"'vCAKNPYkc4+kWJtzPTtVx5ThpmwQucRzHnivkcxigNoxihu5+hT6UI7jgbDK9', 'X-Ops—Authorization-2'=>'I
eBbUfONU8eUmM7Kx0E+H/dooCSZ08A+hg2tNXXv8xesX01v7qyEXCDDpm23"', 'X-Ops—-Authorization-3'=>'ZesXNacclo
6vwctvougiHXRL6eNFLgk 7dgHAQLOBbaxgqmgx jA8Re7RVOWHLB', 'X-Ops—-Authorization—-4'=>'"'b57yFmW2NL5YDZnQ8Kg
nGz21hsoWJ461GTpMDIgSL1 fHsMm8RWL8+g700jL2"', 'X-Ops—-Authorization-5'=>'ThOnFxD86kXgnsA23aHyXmc6Qryv
6TBOFQVWZMsw5+q40KVOnm7CeA7eyted', 'X-Ops—-Authorization-6'=>"'k3hVHpjnRcktwRh6TAizrKZqZfVe6KcEeg6gCt
AfTJw==', 'X-Ops-Content-Hash'=>'2jmj715rSwOyVb/v1WAYkKK/YBwk="', 'X-Ops-Sign'=>'algorithm=shal;vers
ion=1.0;"', 'X-Ops-Timestamp'=>'2014-08-04T10:58:052"', 'X-Ops-Userid'=>'testnodel',6 'X-Remote-Reque
st-Id'=>"'7dff1b07-740a-4c87-bbcb-e07c33e66£92"'}

You can stub this request with the following snippet:

stub_request (:get, "https://chef.example.com/clients/testnodel").

with (:headers => {'Accept'=>'application/json', 'Accept-Encoding'=>'gzip;g=1.0,deflate;g=0.6,ide
ntity;g=0.3"', 'Host'=>'chef.example.com:443', 'User—-Agent'=>'Chef Client/11.14.2 (ruby-1.8.7-p371;

ohai-7.2.0; x86_64-1inux; +http://opscode.com)', 'X-Chef-Version'=>'11.14.2', 'X-Ops-Authorizatio
n-1"'=>"'vCAKNPYkc4+kWJItzPTtVx5ThpmwQucRzHnivkcxigNoxihu5+hT6UI7jgDK9"', 'X-Ops—-Authorization-2'=>"'Ie
BbUfONU8eUmM7Kx0E+H/dooCSZ08A+hg2tNXXv8xesX01v7qyEXCDDpm23"', 'X-Ops—-Authorization-3'=>'ZesXNacclob
vwctvougiHXRL6eNFLgk 7dgHAQLOBbaxgmgx jA8Re 7TRvOWHLB', 'X-Ops-Authorization-4'=>'b57yFmW2NL5YDZnQ8Kgn
Gz21lhsoWJ461GTpMDIgSL1fHsMm8RWL8+g700jL2"', 'X-Ops—-Authorization-5'=>'ThOnFxD86kXgnsA23aHyXmc6Qryvo
TB6FQVWZMsw5+g40KVOnm7CeA7eyted', 'X-Ops—-Authorization-6'=>'k3hVHpinRcktwRh6TAizrKZqZfV6KcEegbgCEtA
fTJw==", 'X-Ops—-Content-Hash'=>'2jmj715rSwOyVb/v1WAYkKK/YBwk="', 'X-Ops-Sign'=>'algorithm=shal;versi
on=1.0;"', 'X-Ops-Timestamp'=>'2014-08-04T10:58:052"', 'X-Ops-Userid'=>'testnodel', 'X-Remote-Reques
t-Id'=>'7df£f1b07-740a-4c87-bbcb-e07c33e66£92"'}) .

to_return(:status => 200, :body => "", :headers => {})

registered request stubs:

stub_request (:get, "https://chef.example.com//clients/testnodel")

also this, possibly due to ffi_yajl being added by chef-zero:

undefined method "bytesize' for nil:NilClass (NoMethodError)
/usr/local/rvm/gems/ruby-1.8.7-p371@test_proxy_develop_pull_request-3/gems/ffi-yajl-1.0.1/1lib/ffi_
yajl/ffi/parser.rb:131:in "do_yajl_parse'

/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_proxy_develop_pull_request-3/gems/ffi-yajl-1.0.1/1ib/ffi_
yvajl/parser.rb:58:in ‘parse'
/usr/local/rvm/gems/ruby-1.8.7-p371@test_proxy_develop_pull_request-3/gems/ffi-yajl-1.0.1/1ib/ffi_
vajl/parser.rb:24:in “parse'
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_proxy_develop_pull_request-3/gems/ffi-yajl-1.0.1/1ib/ffi_
yajl/json_gem.rb:50:in " load'

./test/../modules/puppet_proxy/api_request.rb:65:in " find_environments'

Associated revisions

Revision 37¢1113f - 08/04/2014 07:14 AM - Dominic Cleal

fixes #6908 - update request tests for latest Chef release

Revision 2781dc7d - 08/06/2014 06:22 AM - Dmitri Dolguikh
Merge pull request #194 from domcleal/6908-request-tests

fixes #6908 - update request tests for latest Chef release

History

#1 - 08/04/2014 07:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/194 added
- Pull request deleted ()

#2 - 08/04/2014 07:14 AM - Dominic Cleal

- translation missing: en.field _release set to 10

#3 - 08/06/2014 06:24 AM - Anonymous
- Status changed from Ready For Testing to Resolved

commit 37¢1113f5¢1b7c896238f8e0f764241c7bd1cdb7

#4 - 08/06/2014 06:26 AM - Dominic Cleal
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
